---
updatedAt: 2026-05-13T20:48:29.000Z
---

Fetch the complete documentation index at: https://developers.pismo.io/pismo-docs/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Cancel payment order

Cancel the payment order in the provider.


# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Instant payments - Automatic Pix",
    "description": "API to handle Automatic Pix transactions",
    "termsOfService": "https://developers.pismo.io/terms/",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/",
      "email": "support@pismo.com.br"
    },
    "license": {
      "name": "Copyright Pismo",
      "url": "https://developers.pismo.io/licenses/"
    },
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox-cdn.pismolabs.io",
      "description": "Ext API server for testing"
    },
    {
      "url": "https://sandbox-cdn.pismolabs.io/inst-pull-pay",
      "description": "Ext API server for testing Automatic Pix."
    }
  ],
  "tags": [
    {
      "name": "Automatic Pix",
      "description": "Automatic Pix endpoints."
    }
  ],
  "components": {
    "parameters": {
      "AccountIdHeader": {
        "name": "x-account",
        "in": "header",
        "schema": {
          "type": "integer"
        },
        "description": "Pismo account ID.",
        "required": true,
        "example": 0
      },
      "AuthHeader": {
        "in": "header",
        "name": "Authorization",
        "required": true,
        "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a <b>401 Unauthorized</b> message.",
        "schema": {
          "type": "string",
          "example": "Bearer eyJhbGci...IUzUx"
        }
      },
      "IdempotencyKeyHeader": {
        "name": "Idempotency-Key",
        "in": "header",
        "description": "A unique ID to ensure the operation remains idempotent, allowing for operation repitition without causing unintended effects or duplication. An idempotent operation is one that can be applied multiple times, yet the outcome remains the same. it ensures that network errors, retries, or failures can occur without introducing inconsistencies.\n",
        "required": true,
        "schema": {
          "type": "string"
        }
      }
    },
    "schemas": {
      "CancellatedAt": {
        "type": "string",
        "description": "Cancellation date time, RFC 3339 format: YYYY-MM-DDThh:mm:ssZ.",
        "example": "2024-11-14T17:54:40Z"
      },
      "CancelPaymentOrderRequest": {
        "type": "object",
        "description": "Cancel payment order request",
        "required": [
          "end_to_end_id",
          "reason"
        ],
        "properties": {
          "end_to_end_id": {
            "$ref": "#/components/schemas/EndToEndID"
          },
          "reason": {
            "$ref": "#/components/schemas/PaymentOrderReason"
          }
        }
      },
      "CancelPaymentOrderResponse": {
        "type": "object",
        "description": "Cancel payment order request",
        "required": [
          "end_to_end_id",
          "reason",
          "cancelled_at"
        ],
        "properties": {
          "end_to_end_id": {
            "$ref": "#/components/schemas/EndToEndID"
          },
          "reason": {
            "$ref": "#/components/schemas/PaymentOrderReason"
          },
          "cancelled_at": {
            "$ref": "#/components/schemas/CancellatedAt"
          }
        }
      },
      "customer.DetailMessage": {
        "type": "object",
        "properties": {
          "external": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.ExternalMessage"
            }
          },
          "parameters": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.ParameterMessage"
            }
          },
          "payload": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.PayloadMessage"
            }
          }
        }
      },
      "customer.Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error's code.",
            "example": "EPT0001"
          },
          "details": {
            "$ref": "#/components/schemas/customer.DetailMessage"
          },
          "message": {
            "type": "string",
            "description": "Error's message.",
            "example": "User not found"
          }
        }
      },
      "customer.ExternalMessage": {
        "type": "object",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code.",
            "example": "PBE315"
          },
          "message": {
            "type": "string",
            "description": "Error message.",
            "example": "Generic error"
          }
        }
      },
      "customer.ParameterMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Parameter field",
            "example": "Query parameter"
          },
          "message": {
            "type": "string",
            "description": "Message about parameter",
            "example": "Generic error"
          }
        }
      },
      "customer.PayloadMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Payload parameter",
            "example": "Entity.field"
          },
          "message": {
            "type": "string",
            "description": "Message about error",
            "example": "Generic error"
          }
        }
      },
      "EndToEndID": {
        "type": "string",
        "description": "This field is a Brazil Central Bank (BCB) requirement to track all steps of Pix transactions. <br />\nBasically, there are two steps to a Pix transaction: <br />\n    1. Initialize a transaction <br />\n    2. Confirm a transaction <br />\nThe `end_to_end_id` is sent to the BCB in both steps in order to identify all transaction information. <br />\n",
        "example": "E3030629420200808195101608910248"
      },
      "PaymentOrderReason": {
        "description": "Payment order cancellation reason: \n\n* `ACCT` - Paying or receiving user's transactional account closed\n* `BLCK` - Paying or receiving user's transactional account blocked\n* `CCLD` - Recurring payments authorization cancelled\n* `FAIL` - Settlement process failure or error\n* `OTHR` - Paying or receiving user requested cancellation for other reasons\n* `SLBD` - Paying user request\n* `SLCR` - Receiving user request\n",
        "type": "string",
        "enum": [
          "ACCT",
          "BLCK",
          "CCLD",
          "FAIL",
          "OTHR",
          "SLBD",
          "SLCR"
        ],
        "example": "ACCT"
      }
    },
    "responses": {
      "400BadRequest": {
        "description": "Bad request",
        "headers": {
          "x-cid": {
            "description": "Request tracking ID.",
            "schema": {
              "type": "string"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "401Unauthorized": {
        "description": "Unauthorized. Missing or invalid authentication token.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "404NotFound": {
        "description": "Not found",
        "headers": {
          "x-cid": {
            "description": "Request tracking ID.",
            "schema": {
              "type": "string"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "500InternalServer": {
        "description": "Internal Server Error",
        "headers": {
          "x-cid": {
            "description": "Request tracking ID.",
            "schema": {
              "type": "string"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      }
    }
  },
  "paths": {
    "/inst-pull-pay/v1/pix/automatic/payment/order/cancel": {
      "post": {
        "summary": "Cancel payment order",
        "description": "Cancel the payment order in the provider.\n",
        "operationId": "cancel-automatic-pix-payment-order",
        "tags": [
          "Automatic Pix"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/AuthHeader"
          },
          {
            "$ref": "#/components/parameters/IdempotencyKeyHeader"
          },
          {
            "$ref": "#/components/parameters/AccountIdHeader"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CancelPaymentOrderRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CancelPaymentOrderResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/400BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/401Unauthorized"
          },
          "404": {
            "$ref": "#/components/responses/404NotFound"
          },
          "500": {
            "$ref": "#/components/responses/500InternalServer"
          }
        }
      }
    }
  }
}
```